Bullet Collision Detection & Physics Library: btHingeConstraintDoubleData2 Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btHingeConstraintDoubleData2 Struct Reference

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64 More...

`#include <btHingeConstraint.h>`

Collaboration diagram for btHingeConstraintDoubleData2:
[legend]

## Public Attributes
btTypedConstraintDoubleData | m_typeConstraintData
btTransformDoubleData | m_rbAFrame
btTransformDoubleData | m_rbBFrame
int | m_useReferenceFrameA
int | m_angularOnly
int | m_enableAngularMotor
double | m_motorTargetVelocity
double | m_maxMotorImpulse
double | m_lowerLimit
double | m_upperLimit
double | m_limitSoftness
double | m_biasFactor
double | m_relaxationFactor
char | m_padding1 [4]

## Detailed Description

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

Definition at line 417 of file btHingeConstraint.h.

## Member Data Documentation

## ◆ m_angularOnly

int btHingeConstraintDoubleData2::m_angularOnly

Definition at line 423 of file btHingeConstraint.h.

## ◆ m_biasFactor

double btHingeConstraintDoubleData2::m_biasFactor

Definition at line 431 of file btHingeConstraint.h.

## ◆ m_enableAngularMotor

int btHingeConstraintDoubleData2::m_enableAngularMotor

Definition at line 424 of file btHingeConstraint.h.

## ◆ m_limitSoftness

double btHingeConstraintDoubleData2::m_limitSoftness

Definition at line 430 of file btHingeConstraint.h.

## ◆ m_lowerLimit

double btHingeConstraintDoubleData2::m_lowerLimit

Definition at line 428 of file btHingeConstraint.h.

## ◆ m_maxMotorImpulse

double btHingeConstraintDoubleData2::m_maxMotorImpulse

Definition at line 426 of file btHingeConstraint.h.

## ◆ m_motorTargetVelocity

double btHingeConstraintDoubleData2::m_motorTargetVelocity

Definition at line 425 of file btHingeConstraint.h.

## ◆ m_padding1

char btHingeConstraintDoubleData2::m_padding1[4]

Definition at line 433 of file btHingeConstraint.h.

## ◆ m_rbAFrame

btTransformDoubleData btHingeConstraintDoubleData2::m_rbAFrame

Definition at line 420 of file btHingeConstraint.h.

## ◆ m_rbBFrame

btTransformDoubleData btHingeConstraintDoubleData2::m_rbBFrame

Definition at line 421 of file btHingeConstraint.h.

## ◆ m_relaxationFactor

double btHingeConstraintDoubleData2::m_relaxationFactor

Definition at line 432 of file btHingeConstraint.h.

## ◆ m_typeConstraintData

btTypedConstraintDoubleData btHingeConstraintDoubleData2::m_typeConstraintData

Definition at line 419 of file btHingeConstraint.h.

## ◆ m_upperLimit

double btHingeConstraintDoubleData2::m_upperLimit

Definition at line 429 of file btHingeConstraint.h.

## ◆ m_useReferenceFrameA

int btHingeConstraintDoubleData2::m_useReferenceFrameA

Definition at line 422 of file btHingeConstraint.h.

The documentation for this struct was generated from the following file:

- btHingeConstraint.h